9.8. Codificare file immagine multipli (JPEG, PNG, TGA, etc.)
Indietro | Capitolo 9. Utilizzo base di MEncoder | Avanti

## 9.8. Codificare file immagine multipli (JPEG, PNG, TGA, etc.)

MEncoder è in grado di creare filmati da uno o più file immagine JPEG, PNG, TGA o altri. Con una semplioce copia fotogrammi può creare file MJPEG (Motion JPEG), MPNG (Motion PNG) o MTGA (Motion TGA).

Spiegazione del processo:

1. MEncoder decodifica le immagini in entrata con `libjpeg` (decodificando PNG, userà `libpng`).

2. MEncoder passa poi le immagini decodificate al compressore video scelto (DivX4, Xvid, FFmpeg msmpeg4, etc.).

Esempi. La spiegazione dell'opzione `-mf` è nella pagina man.

Creare un file MPEG-4 da tutti i file JPEG nella directory corrente:

    mencoder mf://*.jpg -mf w=800:h=600:fps=25:type=jpg -ovc lavc \
        -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o output.avi

Creare un file MPEG-4 da alcuni file JPEG nella directory corrente:

    mencoder mf://frame001.jpg,frame002.jpg -mf w=800:h=600:fps=25:type=jpg \
        -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o output.avi

Creare un file MPEG-4 da una lista definita di file JPEG (lista.txt nella directory corrente contiene la lista dei file da usare come sorgente, uno per riga):

    mencoder mf://@lista.txt -mf w=800:h=600:fps=25:type=jpg \
        -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o output.avi

Puoi mescolare diversi tipi di immagine, senza considerare il metodo che usi — nomi file singoli, wildcard o file da una lista — posto ovviamente che abbiano la stessa dimensione. Per cui puoi per es. prendere il fotogramma dei titoli da un file PNG e poi fare una presentazione delle tue foto in JPEG.

Creare un file Motion JPEG (MJPEG) da tutti i file JPEG nella directory corrente:

    mencoder mf://*.jpg -mf w=800:h=600:fps=25:type=jpg -ovc copy -oac copy -o output.avi

Creare un file non compresso da tutti i file PNG nella directory corrente:

    mencoder mf://*.png -mf w=800:h=600:fps=25:type=png -ovc raw -oac copy -o output.avi

### Nota

La larghezza deve essere un intero multipli di 4, è una limitazione del formato grezzo RAW RGB AVI.

Creare un file Motion PNG (MPNG) da tutti i file PNG nella directory corrente:

    mencoder mf://*.png -mf w=800:h=600:fps=25:type=png -ovc copy -oac copy -o output.avi

Creare un file Motion TGA (MTGA) da tutti i file TGA nella directory corrente:

    mencoder mf://*.tga -mf w=800:h=600:fps=25:type=tga -ovc copy -oac copy -o output.avi

Indietro | Risali | Avanti
9.7. Copia dei flussi | Partenza | 9.9. Estrarre sottotitoli DVD in un file VOBsub